import { useState, useEffect } from 'react';

export type menutype = {
  name: string;
  id?: string;
};
export default function () {
  const [menuList, setMenuList] = useState<menutype[]>();
  useEffect(() => {
    //debugger;
    //  setTimeout(() => {
    setMenuList([
      { name: '环境信息', id: 'environment' },
      { name: '设备管理', id: 'equipment' },
      { name: '运行时间', id: 'runtime' },
    ]);
    //  }, 0);
  }, []);

  return { menuList };
}
